Project Chrono: chrono::ChLoaderForceOnSurface Class Reference

Public Member Functions | List of all members
chrono::ChLoaderForceOnSurface Class Reference

## Description

Simple surface loader: a constant force vector, applied to a point on a u,v surface.

`#include <ChLoaderUV.h>`

Inheritance diagram for chrono::ChLoaderForceOnSurface:
[legend]
Collaboration diagram for chrono::ChLoaderForceOnSurface:
[legend]

## Public Member Functions
| ChLoaderForceOnSurface (std::shared_ptr< ChLoadableUV > mloadable)
virtual void | ComputeF (double U, double V, ChVectorDynamic<> &F, ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w) override
| Evaluate F = F(u,v) for this line load.
void | SetForce (ChVector3d mforce)
| Set constant force (assumed in absolute coordinates).
ChVector3d | GetForce ()
| Get constant force (assumed in absolute coordinates).
virtual bool | IsStiff () override
Public Member Functions inherited from chrono::ChLoaderUVatomic
| ChLoaderUVatomic (std::shared_ptr< ChLoadableUV > mloadable)
virtual void | ComputeQ (ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w) override
| Compute the generalized load Q = N'*F, using the ComputeF method.
void | SetApplication (double u, double v)
| Set the position on the surface where the atomic load is applied.
Public Member Functions inherited from chrono::ChLoaderUV
| ChLoaderUV (std::shared_ptr< ChLoadableUV > mloadable)
void | SetLoadable (std::shared_ptr< ChLoadableUV > mloadable)
virtual std::shared_ptr< ChLoadable > | GetLoadable () override
std::shared_ptr< ChLoadableUV > | GetLoadableUV ()

## Additional Inherited Members
Public Attributes inherited from chrono::ChLoaderUV
std::shared_ptr< ChLoadableUV > | loadable
Public Attributes inherited from chrono::ChLoader
ChVectorDynamic | Q

## Member Function Documentation

## ◆ ComputeF()

virtual void chrono::ChLoaderForceOnSurface::ComputeF | ( | double | U,
|  | double | V,
|  | ChVectorDynamic<> & | F,
|  | ChVectorDynamic<> * | state_x,
|  | ChVectorDynamic<> * | state_w )
| inlineoverridevirtual

Evaluate F = F(u,v) for this line load.

The vector F is set to zero on entry. The function provided by derived classes is called by ComputeQ to perform integration over the domain.

Parameters

  U | parametric coordinate in surface
  V | parametric coordinate in surface
  F | result vector, size = field dim of loadable
  state_x | if != 0, update state (pos. part) to this, then evaluate F
  state_w | if != 0, update state (speed part) to this, then evaluate F

Implements chrono::ChLoaderUV.

## ◆ IsStiff()

virtual bool chrono::ChLoaderForceOnSurface::IsStiff | ( |  | ) |
| inlineoverridevirtual

Reimplemented from chrono::ChLoader.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLoaderUV.h